Bug 579980 - [abrt] crash in tortoisehg-1.0.1-1.fc12: status.py:834:update_chunk_state:IndexError: could not find tree path
Summary: [abrt] crash in tortoisehg-1.0.1-1.fc12: status.py:834:update_chunk_state:Ind...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tortoisehg
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:13f7c209
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-07 08:00 UTC by Mads Kiilerich
Modified: 2010-06-02 18:00 UTC (History)
1 user (show)

Fixed In Version: tortoisehg-1.0.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-02 17:58:32 UTC


Attachments (Terms of Use)
File: backtrace (1.00 KB, text/plain)
2010-04-07 08:01 UTC, Mads Kiilerich
no flags Details

Description Mads Kiilerich 2010-04-07 08:00:59 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/hgtk ci
component: tortoisehg
executable: /usr/bin/hgtk
kernel: 2.6.32.10-90.fc12.i686.PAE
package: tortoisehg-1.0.1-1.fc12
reason: status.py:834:update_chunk_state:IndexError: could not find tree path
release: Fedora release 12 (Constantine)

backtrace
-----
status.py:834:update_chunk_state:IndexError: could not find tree path

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/status.py", line 817, in select_toggle
    self.update_chunk_state(self.filemodel[path])
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/status.py", line 834, in update_chunk_state
    self.diffmodel[n][DM_REJECTED] = not selected
IndexError: could not find tree path

Local variables in innermost frame:
wfile: 'lars.du-ks'
chunk: <hunk 'lars.du-ks'@5>
selected: False
n: 3
fileentry: <gtk.TreeModelRow object at 0xb5b2b160>
chunks: [<header 'lars.du-ks'>, <hunk 'lars.du-ks'@1>, <hunk 'lars.du-ks'@2>, <hunk 'lars.du-ks'@5>, <hunk 'lars.du-ks'@17>, <hunk 'lars.du-ks'@46>, <hunk 'lars.du-ks'@53>, <hunk 'lars.du-ks'@75>, <hunk 'lars.du-ks'@79>, <hunk 'lars.du-ks'@84>, <hunk 'lars.du-ks'@90>, <hunk 'lars.du-ks'@108>, <hunk 'lars.du-ks'@120>, <hunk 'lars.du-ks'@148>, <hunk 'lars.du-ks'@152>]
self: <GCommit object at 0x87655a4 (GtkWindow at 0x87ab040)>

How to reproduce
-----
1. was committing, had double-clicked a chunk, and deselected some other files
2. abrt reported this crash, but hgtk kept running
3.

Comment 1 Mads Kiilerich 2010-04-07 08:01:02 UTC
Created attachment 404859 [details]
File: backtrace

Comment 3 Mads Kiilerich 2010-04-08 08:34:55 UTC
Fixed upstream for 1.0.2

Comment 4 Fedora Update System 2010-05-16 21:24:19 UTC
tortoisehg-1.0.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc13

Comment 5 Fedora Update System 2010-05-16 21:25:45 UTC
tortoisehg-1.0.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc12

Comment 6 Fedora Update System 2010-05-16 21:26:21 UTC
tortoisehg-1.0.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc11

Comment 7 Fedora Update System 2010-05-17 18:50:32 UTC
tortoisehg-1.0.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tortoisehg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc11

Comment 8 Fedora Update System 2010-05-17 19:03:58 UTC
tortoisehg-1.0.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tortoisehg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc13

Comment 9 Fedora Update System 2010-05-17 19:05:07 UTC
tortoisehg-1.0.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tortoisehg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc12

Comment 10 Fedora Update System 2010-06-02 17:58:19 UTC
tortoisehg-1.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-02 17:58:52 UTC
tortoisehg-1.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-06-02 18:00:38 UTC
tortoisehg-1.0.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.